<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:22:32 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.components.FCM.impl (org.eclipse.papyrus.designer.components.fcm.profile 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.components.FCM.impl (org.eclipse.papyrus.designer.components.fcm.profile 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.eclipse.papyrus.designer.components.FCM.impl</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/AssemblyImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">AssemblyImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Assembly</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/CodeGenOptionsImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">CodeGenOptionsImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Code Gen Options</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/CompImplTemplateImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">CompImplTemplateImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Comp Impl Template</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/CompToOOmappingImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">CompToOOmappingImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Comp To OOmapping</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/ConfigurableElementInstanceImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">ConfigurableElementInstanceImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Configurable Element Instance</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/ConnectorImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">ConnectorImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Connector</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/ContainerRuleImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">ContainerRuleImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Container Rule</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">FCMFactoryImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model <b>Factory</b>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/FCMPackageImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">FCMPackageImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model <b>Package</b>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/FragmentImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">FragmentImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Fragment</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/ImplementationGroupImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">ImplementationGroupImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Implementation Group</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/InstanceConfiguratorImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">InstanceConfiguratorImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Instance Configurator</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/InteractionComponentImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">InteractionComponentImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Interaction Component</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/InterceptionRuleImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">InterceptionRuleImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Interception Rule</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/PortImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">PortImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Port</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">PortKindImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Port Kind</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/RuleApplicationImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">RuleApplicationImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Rule Application</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/SingletonImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">SingletonImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Singleton</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/TemplatePortImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">TemplatePortImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Template Port</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/UseInstanceConfiguratorImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">UseInstanceConfiguratorImpl</a></td>
<td class="colLast">
<div class="block">An implementation of the model object '<em><b>Use Instance Configurator</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
